Mushroom = {}

local sizeX, sizeY = MushroomSprite:getSize()
local size = { x = sizeX, y = sizeY }
local expireWhenOffScreenBy = { x = 2000, y = 480 }

local canBounce = {
    flat = { x = 0, y = 290 },
    mult = { x = 1, y = -1 },
}

function Mushroom.initialize(o, x, y)
    o.score = 5
    o.canBeCollidedBy = 1
    o.expireAfterCollision = true
    o.size = size
    o.position = { x = x, y = y }
    o.drawAsSprite = MushroomSprite
    o.collectable = o.drawAsSprite
    o.expireWhenOffScreenBy = expireWhenOffScreenBy
    o.canBounce = canBounce
    newestBooster = o
    return newestBooster
end
