Cheese = {}

local sizeX, sizeY = CheeseSprite:getSize()
local size = { x = sizeX, y = sizeY }
local expireWhenOffScreenBy = { x = 2000, y = 480 }

local canBounce = {
    flat = { x = 50, y = 390 },
    mult = { x = 0.7, y = -0.5 },
}

function Cheese.initialize(o, x, y)
    o.score = 5
    o.canBeCollidedBy = 1
    o.expireAfterCollision = true
    o.size = size
    o.position = { x = x, y = y }
    o.drawAsSprite = CheeseSprite
    o.collectable = o.drawAsSprite
    o.expireWhenOffScreenBy = expireWhenOffScreenBy
    o.canBounce = canBounce
    newestBooster = o
    return newestBooster
end
